Update Channel Abandoned Cart Settings

Updates the per-channel overrides for the abandoned cart settings of a store. #### OAuth Scopes | UI Name | Permission | Parameter | |----------------------------------------------|------------|-----------------------------------------------| | Information & Settings | modify | `store_v2_information` |

Path parameters

channel_idintegerRequired
The channel ID of the settings overrides

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Request

This endpoint expects an object.
email_customer_until_cart_is_recoveredboolean or nullOptional
Indicates whether or not a customer should continue to receive abandoned cart emails until their cart is recovered. If it is null, it means there is no override for the specified channel.
email_merchant_when_cart_is_abandonedboolean or nullOptional
Indicates whether or not a merchant should receive a notification email when a cart is abandoned. If it is null, it means there is no override for the specified channel.
email_merchant_when_cart_is_convertedboolean or nullOptional
Indicates whether or not a merchant should receive a notification email when a cart is converted into an order. If it is null, it means there is no override for the specified channel.
enable_notificationboolean or nullOptional
Indicates whether or not abandoned cart notification is on. If it is null, it means there is no override for the specified channel.
merchant_abandoned_cart_digest_email_frequencyinteger or nullOptional2-1000
The number of abandoned carts to accumulate before a digest email is sent to a merchant. If it is null, it means there is no override for the specified channel.
merchant_abandoned_cart_email_frequency_typeenum or nullOptional
Indicates whether to send an email for every abandoned cart or to send a digest email after X number of abandoned carts. If it is null, it means there is no override for the specified channel.
Allowed values:
merchant_email_addressstring or nullOptionalformat: "email"0-500 characters
The email address for receiving merchant notifications. If it is null, it means there is no override for the specified channel.

Response

OK
dataobject
Represents all settings overrides related to the abandoned cart functionality of a store for a channel
metaobject
Response metadata

Errors

401
Unauthorized Error
422
Unprocessable Entity Error